<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
  define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
  session_start();
  header( 'Content-type: text/html; charset=windows-1251' );
  include_once ROOT_DIR . '/engine/config.php';
  include_once ROOT_DIR . '/engine/function.php';
} else {
  if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
  echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close">
		<span aria-hidden="true">&times;</span>
	</button>
	<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
	<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
	<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
  </div>';
} else {
            
    if ( isset( $_COOKIE['reftype1'] ) and !$_GET['type'] ) {
	  switch ( $_COOKIE['reftype1'] ) {
		case 1: $sortref1 = 'Cортировать по дате'; $stype = 1; break;
		case 2: $sortref1 = 'Cортировать по нику'; $stype = 2; break;
		case 3: $sortref1 = 'Cортировать по доходу'; $stype = 3; break;
		case 4: $sortref1 = 'Cортировать по дате рег.'; $stype = 4; break;
		case 5: $sortref1 = 'Cортировать по цене'; $stype = 5; break;
		default: $stype = 4; break;
	  }
    } else
    if ( isset( $_GET['type'] ) ) {
	  switch ( ( int ) $_GET['type'] ) {
		case 1: $sortref1 = 'Cортировать по дате'; $stype = 1; break;
		case 2: $sortref1 = 'Cортировать по нику'; $stype = 2; break;
		case 3: $sortref1 = 'Cортировать по доходу'; $stype = 3; break;
		case 4: $sortref1 = 'Cортировать по дате рег.'; $stype = 4; break;
		case 5: $sortref1 = 'Cортировать по цене'; $stype = 5; break;
		default: $stype = 4; break;
	  }
    } else {
      $sortref1 = 'Cортировать по дате';
      $stype = 1;
    }
    $ref1 = mysql_query( "SELECT id FROM user WHERE price > '0' and userdel = '0' LIMIT 1" );
	$ref1_page_row = mysql_query( "SELECT id FROM user WHERE price > '0' and userdel = '0'" );
	?>
    <script type="text/javascript">
      var kolsearch = 0;
      $(document).ready(function() {
        $('.fair-booked').tipTip({defaultPosition:'right'});
        
      });
	  function sddFair(tid) {
        $.post('ajax.php?func=sddfair', {
            id: tid
        }, function(data){
            if(data == 1) {
                Page.Go('basket');
            } else {
                $('body').Qnotify({text:data, sound:'error'});
            }
        });
        return false;
      }
    </script>
	<div class="content_bar content_bar_fix_chain">
	  <article class="postBox">
		<div class="h2-title-header"><h2><a>Ярмарка рефералов</a></h2></div>
		<div class="image_fair_p"></div>
		<div class="textPreview" style="">
		  <p class="earnings_text" style="color: #545454;">
			Здесь происходят торги рефералами, если вы активно привлекаете рефералов, вы можете <br/> продать их на ярмарке по выгодной цене, или выгодно приобрести более активных.<br/><?=$config_site['sitename']?> только предоставляет услуги торговой площадки и не несёт ответственности за качество продаваемых рефералов. 
		  </p>
		</div>
		<? if ( mysql_num_rows( $ref1 ) != 0 ) { ?>
		  <div class="total-referrals-fair">
		    Всего рефералов:&nbsp;&nbsp;<font color="#bf8080"><?=mysql_num_rows( $ref1_page_row )?></font>
		  </div>
		  <div class="referrals-top-panel-fair">
		    <div class="btn-group btn-group-ref-fix " >
			  <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			    <?=$sortref1?>
			  </button>
			  <div class="dropdown-menu">
			    <a class="dropdown-item" href="" onclick="Page.RefType1(1);">Cортировать по дате</a>
			    <a class="dropdown-item" href="" onclick="Page.RefType1(2);">Cортировать по нику</a>
			    <a class="dropdown-item" href="" onclick="Page.RefType1(3);">Cортировать по доходу</a>
			    <a class="dropdown-item" href="" onclick="Page.RefType1(4);">Cортировать по дате рег.</a>
			    <a class="dropdown-item" href="" onclick="Page.RefType1(5);">Cортировать по цене</a>
			  </div>
		    </div>
		  </div>
		  <br>
		  <table class="table">
		    <thead>
			  <tr >
			    <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-user-circle-o" aria-hidden="true"></i> Аватар</th>
			    <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-user" aria-hidden="true"></i><br> Пользователь</th>
			    <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"> </th>
			    <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-usd" aria-hidden="true"></i></br>Цена</th>
			    <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-arrow-up" aria-hidden="true"></i></br>Доход</th>
			    <th class="table-th-top-icon" style="border-top: 1px solid #FCFCFC;"><i class="fa fa-hand-pointer-o" aria-hidden="true"></i><br> Действие</th>
			  </tr>
		    </thead>
		    <?
			  if ( $stype == 1 ) {
				$reftype1 = 'ORDER BY logindate DESC';
			  } else
			  if ( $stype == 2 ) {
				$reftype1 = 'ORDER BY username ASC';
			  } else
			  if ( $stype == 3 ) {
				$reftype1 = 'ORDER BY toref DESC';
			  } else
			  if ( $stype == 4 ) {
				$reftype1 = 'ORDER BY regdate DESC';
			  } else
			  if ( $stype == 5 ) {
				$reftype1 = 'ORDER BY price DESC';
			  } 
			  $ref1_page = mysql_query( "SELECT id FROM user WHERE price > '0' and userdel = '0' $reftype1" );
			  
			  #Считаем количество страниц для навигации.
			    $kolvo = 10;
			    $all = mysql_num_rows( $ref1_page );
			    $allpage = ceil( $all / $kolvo );
			    $this_page = ( isset( $_GET['page'] ) ) ? intval( $_GET['page'] ) : 1 ;
			    if ( $this_page < 1 ) $this_page = 1;
			    if ( $this_page > $allpage ) $this_page = $allpage;
			    $start = $this_page * $kolvo - $kolvo;
			    if ( $start == -$kolvo ) { $start = 1; }
				
				$get_ref1 = mysql_query( "SELECT * FROM user WHERE price > '0' and userdel = '0' $reftype1 LIMIT $start,$kolvo" );
				
				echo '<tbody class="wrap_ref_ajax" id="id'.$get_ref1_row["id"].'">';
				
				while ( $get_ref1_row = mysql_fetch_array( $get_ref1 ) ) {
					
				  $ref_online = mysql_query( "SELECT id FROM online WHERE iduser = '" . $get_ref1_row['id'] . "'" );
				  $ref_add_bascet = mysql_query( "SELECT id FROM basket WHERE ident = '" . $get_ref1_row['id'] . "' AND type = '14'" );
				  
				  #Проверяем бронь реферала
				  if ( mysql_num_rows( $ref_add_bascet ) ) { 
				    $css_userdel = 'style="opacity: 0.5;"';
					$css_no_botton = 'style="cursor: not-allowed;"';
				  } else {
					$css_userdel = '';
					$css_no_botton = '';
				  }
				  
				  #Цвет прибыли
				  if( $get_ref1_row['toref'] > 1 ) {
					$css_price = 'style="color: #5CB662;"';
				  } else {
					$css_price = '';  
			      }
					
				  $month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
					
				  #Пол пользователя
				  if ( $get_ref1_row['sex'] == 0 ) {
				    $ref_sex = 'заходил';
				  } else {
				    $ref_sex = 'заходила';
				  }
					
				  #Если пользователь не заходил в аккаунт больше 2 недель---*/
				  if ( $get_ref1_row['logindate'] + 86400 * 14 < time() ) {
				    $auth_color = 'style="color:#bf8080"';   
				  } else {
				    $auth_color = '';
				  }
				
				  #Дата последнего входа
				  if ( $get_ref1_row['logindate'] == 0 ) {
				    $ref_logindate = '<div class="ref-user-offline">еще не ' . $ref_sex . '</div>';
				  } else
				  if ( mysql_num_rows( $ref_online ) ) {
				    $ref_logindate = '<div class="ref-user-online">онлайн</div>';
				  } else
				  if ( date( 'd.m.Y', $get_ref1_row['logindate'] ) == date( 'd.m.Y', time() ) ) {
				    $ref_logindate = '<div class="ref-user-offline">сегодня в ' . date( 'H:i', $get_ref1_row['logindate'] ) . '</div>';
				  } else {
				    $ref_logindate = '<div class="ref-user-offline" >' . $ref_sex . ' ' . ( int ) date( 'd', $get_ref1_row['logindate'] ) . ' ' . $month[( int ) date( 'm', $get_ref1_row['logindate'] ) - 1] . ' ' . date( 'Y', $get_ref1_row['logindate'] ) . '</div>';
				  }
					
				  $nameReferer = mysql_fetch_array( mysql_query( "SELECT username FROM user WHERE id = '".$get_ref1_row['referer']."'" ) );
				  ?>
					<tr class="wrap_ref_fair" id="id<?=$get_ref1_row['id']?>">
					  <td width="40" <?=$css_userdel?>>
						<div class="referrals-avater">
						  <a href="/id<?=$get_ref1_row['id']?>" >
							<img src="/temp/avatar/<?=$get_ref1_row['avatar']?>" width="40" height="40" class="img-circle top-avatar" alt="" />
						  </a>
						</div>
					  </td>
					  <td width="150" <?=$css_userdel?>>
					    <div class="div_centralizator ">
						  <div class="referrals-while-username"><?=$get_ref1_row['username']?></div>
						  <div class=""><?=$ref_logindate?></div>
					    </div>
					  </td>
					  <td width="200">
					    <div class="div_centralizator" >
						<? 
						  if($get_ref1_row['id'] == $_SESSION['iduser']){
							?>
							  <div class="referrals-while-dell fair-booked" title="Вы не можете купить самого себя!"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> недоступен</div>
							<?
						  } else {
							if ( mysql_num_rows( $ref_add_bascet ) ) { 
							?>
							  <div class="referrals-while-dell fair-booked" title="Этот реферал забронирован другим покупателем. Если в течение 24 часов с момента добавления в корзину счет не будет оплачен, реферал освободится и будет доступен для покупки снова."><i class="fa fa-clock-o" aria-hidden="true"></i> забронирован</div>
							<? } else { ?>
							  <div class="referrals-while-opcion fair-button">
							    <button onclick="sddFair(<?=$get_ref1_row['id']?>); return false;" type="button" class="btn btn-success btn-sm">купить</button>
							  </div>
							<? } 
						  } 
						?>
						</div>
					  </td>
					  <td <?=$css_userdel?> >
					    <div class="referrals-while-opcion fair-addmoney">
						  <div class="div_centralizator ">
						    <?=$get_ref1_row['price']?>
					      </div>
					    </div>
					  </td>
					  <td width="85" <?=$css_userdel?>>
					    <div class="referrals-while-opcion fair-addmoney">
						  <div class="div_centralizator" <?=$css_price?>>
						    <?=$get_ref1_row['toref']?> 
						  </div>
					    </div>
					  </td>
					  <td width="80" class="top-symm" <?=$css_userdel?> >
					    <div class="referrals-while-opcion" >
					      <div class="btn-group" style="margin-bottom: -3px;">
						    <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" <?=$css_no_botton?>>
							  Опции
						    </button>
						    <div class="dropdown-menu">
							  <a class="dropdown-item" href="" onclick="function_ref.Info('<?=$get_ref1_row['id']?>');return false;">Смотреть статистику</a> 
							  <a class="dropdown-item" href="" onclick="msg.showDialog('<?=$get_ref1_row['id']?>', '<?=substr( md5( $message_md5 . $get_ref1_row['id'] ), 0, 22 ) ?>');return false;">Написать сообщение</a>
							  <a class="dropdown-item" href="id<?=$get_ref1_row['id']?>">Перейти на стенку</a>
						    </div>
						  </div>
					    </div>
					  </td>
				    </tr>
				  <?
				}
				echo '</tbody>';
			  ?>
		  </table>
		  <div class="div_centralizator"><?=navigation( 10, ( int ) $_GET['page'], mysql_num_rows( $ref1_page ), 'referral_fair&p=' )?></div>
	      <?
        } else {
          echo '<div class="manager-contests-menu" style="margin-top: 50px;"><div class="alert alert-info">
			    <div class="fa-ul" >
			      <li >
				   <div ><i class="fa fa-info-circle fa-lg fa-li" aria-hidden="true"></i></div>
				    На данный момент активных предложений нет.
			      </li>
			    </div>
			  </div>
			</div></br>';
        }
	    ?>
	  </article>
	</div>
  <?
}

?>